import { useMemo } from "react";
import { useSchemaInitializerSubMenuContext } from "../components/SchemaInitializerSubMenu.mjs";
const useAriaAttributeOfMenuItem = ()=>{
    const { isInMenu } = useSchemaInitializerSubMenuContext();
    const attribute = useMemo(()=>{
        if (!isInMenu) return {
            role: 'menuitem'
        };
        return {};
    }, [
        isInMenu
    ]);
    return {
        attribute
    };
};
export { useAriaAttributeOfMenuItem };
